export declare class SGFParser {
    tree: null;
    name: string;
    size: number;
    board: Uint8Array;
    /**
    * @param {string} name
    */
    constructor();
    /**
     * @param {string} s
     */
    static stringReader(s: string): Uint8Array;
    static stringWriter(a: Uint8Array, linebreak?: boolean, sep?: {
        X: number;
        Y: number;
    } | null): string;
    /**
     * update board from string
     * @param s
     */
    readFromString(s: string): void;
    toString(): string;
}
export declare const EXAMPLE1 = "(;\n    EV[1st ACOM Cup]\n    RO[1]\n    PB[O Rissei]\n    BR[9p]\n    PW[Ishida Akira]\n    WR[9p]\n    KM[5.5]\n    RE[B+0.5]\n    DT[1994]\n    \n    ;B[pd];W[dp];B[fq];W[ip];B[dd];W[fp];B[pp];W[eq];B[cj];W[cl]\n    ;B[df];W[kc];B[ic];W[nc];B[oc];W[nd];B[pf];W[nq];B[qn];W[pr]\n    ;B[je];W[lf];B[lh];W[ng];B[ph];W[ni];B[jg];W[pj];B[qq];W[no]\n    ;B[ek];W[cc];B[dc];W[bd];B[cd];W[bb];B[be];W[db];B[ad];W[bc]\n    ;B[eb];W[ca];B[kp];W[kn];B[mp];W[np];B[mq];W[qr];B[iq];W[hq]\n    ;B[jq];W[hr];B[io];W[ql];B[qm];W[pl];B[rr];W[mn];B[jo];W[im]\n    ;B[hn];W[go];B[fl];W[ce];B[cf];W[qc];B[pc];W[ii];B[cn];W[bo]\n    ;B[co];W[bp];B[cm];W[ec];B[fb];W[id];B[jd];W[hc];B[hd];W[gc]\n    ;B[ib];W[qd];B[qe];W[if];B[jf];W[ie];B[ig];W[ge];B[gf];W[ed]\n    ;B[de];W[gd];B[jc];W[gb];B[ik];W[jj];B[re];W[kh];B[le];W[me]\n    ;B[jk];W[kk];B[kl];W[kj];B[lg];W[hm];B[gn];W[hk];B[hj];W[ij]\n    ;B[mf];W[nf];B[gk];W[hl];B[hi];W[fn];B[fm];W[en];B[bn];W[dl]\n    ;B[bl];W[ff];B[fg];W[hh];B[hf];W[he];B[ih];W[gj];B[gi];W[gg]\n    ;B[hg];W[eg];B[fh];W[ef];B[dh];W[dg];B[cg];W[em];B[nr];W[or]\n    ;B[mr];W[mg];B[on];W[pq];B[rq];W[po];B[nm];W[qp];B[rp];W[qo]\n    ;B[oo];W[op];B[ro];W[mm];B[nl];W[pi];B[ml];W[jl];B[qi];W[qh]\n    ;B[qg];W[rh];B[ri];W[oh];B[pg];W[rj];B[rg];W[qj];B[sh];W[js]\n    ;B[kr];W[lo];B[gm];W[cp];B[fa];W[fc];B[da];W[ea];B[lm];W[nn]\n    ;B[om];W[km];B[da];W[rm];B[rn];W[ea];B[ll];W[ko];B[da];W[hp]\n    ;B[jp];W[ea];B[ln];W[mo];B[da];W[rl];B[rs];W[ea];B[jn];W[jm]\n    ;B[da];W[bk];B[ck];W[ea];B[ir];W[ac];B[is];W[eh];B[ei];W[an]\n    ;B[am];W[ao];B[bj];W[ch];B[di];W[af];B[bg];W[ae];B[hs];W[fr]\n    ;B[ld];W[nb];B[ob];W[ag];B[bh];W[kb];B[mb];W[na];B[lc];W[lb]\n    ;B[mc];W[oa];B[pa];W[oe];B[pe];W[ma];B[li];W[ki];B[gs];W[kg]\n    ;B[mj];W[nj];B[lj];W[kd];B[ke];W[nk];B[kf];W[mf];B[fs];W[es]\n    ;B[gr];W[gq];B[ee];W[fe];B[ol];W[ok];B[sj];W[sk];B[do];W[eo]\n    ;B[sm];W[lp];B[lq];W[ha];B[hb];W[ga];B[ja];W[bf];B[ah];W[ce]\n    ;B[mh];W[md];B[be];W[sn];B[so];W[ce];B[pn];W[pp];B[be];W[qb]\n    ;B[pb];W[ce];B[nh];W[og];B[be];W[sb];B[ra];W[ce];B[of];W[od]\n    ;B[be];W[dm];B[ak];W[ce];B[er];W[dr];B[be];W[dn];B[bm];W[ce]\n    ;B[ds];W[cs];B[be];W[sq];B[sr];W[ce];B[jb];W[la];B[be];W[ad]\n    ;B[dk];W[gl];B[fj];W[ns];B[ms];W[os];B[jh];W[qs];B[si];W[sl]\n    ;B[sn];W[ce];B[gh];W[be])\n";
